searchData={"items":[{"type":"module","title":"Ex2ms","doc":"This module provides the `Ex2ms.fun/1` macro for translating Elixir functions\nto match specifications.","ref":"Ex2ms.html"},{"type":"macro","title":"Ex2ms.fun/1","doc":"Translates an anonymous function to a match specification.","ref":"Ex2ms.html#fun/1"},{"type":"macro","title":"Examples - Ex2ms.fun/1","doc":"iex> Ex2ms.fun do {x, y} -> x == 2 end\n    [{{:\"$1\", :\"$2\"}, [], [{:==, :\"$1\", 2}]}]","ref":"Ex2ms.html#fun/1-examples"},{"type":"extras","title":"ex2ms","doc":"# ex2ms\n\n[![Build Status](https://travis-ci.org/ericmj/ex2ms.svg?branch=master)](https://travis-ci.org/ericmj/ex2ms)\n\nTranslates Elixir functions to match specifications for use with `ets`.\nRequires Elixir 1.0 or later.","ref":"readme.html"},{"type":"extras","title":"Usage - ex2ms","doc":"Add ex2ms to your Mix dependencies:\n\n```elixir\ndefp deps do\n  [{:ex2ms, \"~> 1.0\"}]\nend\n```\n\nIn your shell write the following to get up and running to try ex2ms out:\n\n```bash\nmix deps.get\niex -S mix\n```\n\n```elixir\niex(1)> import Ex2ms\niex(2)> fun do { x, y } = z when x > 10 -> z end\n[{{:\"$1\",:\"$2\"},[{:>,:\"$1\",10}],[:\"$_\"]}]\niex(3)> :ets.test_ms({ 42, 43 }, v(2))\n{:ok,{42,43}}\niex(4)> :ets.test_ms({ 0, 10 }, v(2))\n{:ok,false}\n```","ref":"readme.html#usage"},{"type":"extras","title":"License - ex2ms","doc":"Copyright 2013 Eric Meadows-Jönsson\n\n    Licensed under the Apache License, Version 2.0 (the \"License\");\n    you may not use this file except in compliance with the License.\n    You may obtain a copy of the License at\n\n        http://www.apache.org/licenses/LICENSE-2.0\n\n    Unless required by applicable law or agreed to in writing, software\n    distributed under the License is distributed on an \"AS IS\" BASIS,\n    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n    See the License for the specific language governing permissions and\n    limitations under the License.","ref":"readme.html#license"}],"content_type":"text/markdown"}